.btn {
    color: $white;
    outline: none;
    cursor: pointer;
    min-height: rem(54);
    font-weight: 700;
    font-size: rem(16);
    line-height: rem(24);
    padding: rem(12) rem(32);
    user-select: none;
    text-align: center;
    white-space: nowrap;
    position: relative;
    text-decoration: none;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    vertical-align: middle;
    font-family: $font-family-primary;
    border: rem(2) solid transparent;
    background: #0078C3;
    border-radius: rem(27);
    fill: $white;
    transition: .25s;

    &:hover {
        color: $white;
        background: #58bafc;
        text-decoration: none;
        fill: $white;
        transition: .25s;
    }

    &:active {
        background: #0078C3;
    }

    &:focus,
    &.focus {
        outline: 0;
    }

    span {
        display: inline-block;
    }

    i {
        font-size: 0;
        line-height: 0;
        display: inline-block;
        height: rem(24);
    }

    span + i {
        margin-left: rem(6);
    }

    i + span {
        margin-left: rem(6);
    }
}

.btn-border {
    color: $black;
    border-color: $blue;
    background: transparent;

    &:hover {
        color: $white;
        background: $blue;
        border-color: $blue;
    }
}

.btn-border-white {
    color: $white;
    border-color: $white;
    background: transparent;

    &:hover {
        color: $blue;
        background: $white;
        border-color: $white;
    }
}

.btn-sm {
    min-height: rem(40);
    font-weight: 600;
    font-size: rem(12);
    line-height: rem(20);
    padding: rem(8) rem(24);
}

.btn-md {
    min-width: rem(286);
}

.btn-lg {

    @include media-breakpoint-up(md) {
        min-width: rem(300);
        min-height: rem(70);
        border-radius: rem(36);
    }
}

.btn-link {
    margin: 0;
    padding: 0;
    color: $black;
    border: none;
    outline: none;
    cursor: pointer;
    display: inline-flex;
    background: transparent;
    text-decoration: underline;

    &:hover {
        color: $black;
        text-decoration: none;
    }
}

.btn-text {
    border: none;
    outline: none;
    color: $black;
    cursor: pointer;
    font-weight: 400;
    font-size: rem(14);
    line-height: rem(17);
    text-decoration: none;
    background: transparent;
    transition: .2s;

    &:hover {
        color: $blue;
        text-decoration: none;

        &:after,
        &:before {
            background: $blue;
            transition: .2s;
        }
    }

    &--cancel {
        position: relative;
        padding-left: rem(16);

        &:after,
        &:before {
            left: 0;
            top: 50%;
            z-index: 1;
            content: '';
            width: 12px;
            height: 1px;
            display: block;
            position: absolute;
            background: $black;
            transition: .2s;
        }

        &:after {
            transform: rotate(-45deg);
        }

        &:before {
            transform: rotate(45deg);
        }
    }
}

.btn-gray {
    margin: 0;
    color: $black;
    width: 100%;
    outline: none;
    height: rem(38);
    cursor: pointer;
    font-size: rem(14);
    line-height: rem(18);
    padding: rem(4) rem(8);
    white-space: nowrap;
    background: #F8F8F8;
    border: 1px solid #F8F8F8;
    border-radius: rem(5);
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;

    &:hover {
        border-color: #009FDF;
    }

    &.active {
        color: $white;
        font-weight: 600;
        background: #0078C3;
        border-color: #009FDF;
    }
}

.btn-dark-blue {
    background: #05326E;

    &:hover {
        background: #0078C3;
    }

    &:active {
        background: #05326E;
    }
}

.btn-light-blue {
    background: #009FDF;

    &:hover {
        background: #0078C3;
    }

    &:active {
        background: #009FDF;
    }
}

.color-button {
    padding: 0;
    margin: 0 rem(4);
    font-size: 0;
    line-height: 0;
    border: none;
    outline: none;
    width: rem(32);
    height: rem(32);
    cursor: pointer;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    fill: $white;

    &--border {
        border: 1px solid #B6B6B6;
        fill: $black;
    }

    i {
        opacity: 0;
        visibility: hidden;
        height: rem(14);
        display: inline-block;
        flex-shrink: 0;
    }

    &.active {

        i {
            opacity: 1;
            visibility: visible;
        }
    }
}
